package be.iminds.ilabt.jfed.experiment.tasks;

/**
 * User: twalcari
 * Date: 11/23/2015
 * Time: 16:34
 */
public enum ExperimentTaskStatus {
    INACTIVE(1), BUSY(2), SUCCESS(0), FAILED(10), WARNING(8);

    final int graveness;

    ExperimentTaskStatus(int graveness) {
        this.graveness = graveness;
    }

    /**
     * @param a
     * @param b
     * @return the "worst" state of the two. Failure takes priority over warning, then busy, then inactive, then success.
     */
    public static ExperimentTaskStatus worstOf(ExperimentTaskStatus a, ExperimentTaskStatus b) {
        if (a.graveness > b.graveness)
            return a;
        else
            return b;
    }
}
